import '../styles/index.scss';

import DataTable from "react-data-table-component";
import React, { Component } from 'react';
import { createRoot } from 'react-dom/client';


const addr_prefix = "" //"http://localhost:8000"


class Main extends Component {
    constructor(props) {
        super(props);
        this.state = {
        };
    }
    render(){
        return <div>
            <div class="container">
                <img class="logo" src="/public/logo.png"></img>
            </div>
            <div class="container info">
                <div class="row">
                    <h1 class="col">
                        <b>KDY?</b>
                        <br />
                        21.4.2024
                    </h1>
                    <h1 class="col">
                        <b>KDE?</b>
                        <br />
                        Sobkovice
                    </h1>
                    <h1 class="col">
                        <b>CENA</b>
                        <br />
                        480 kč
                    </h1>
                </div>
            </div>
            <div class="container">
                <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam sapien sem, ornare ac, nonummy non, lobortis a enim. Sed vel lectus. Donec odio tempus molestie, porttitor ut, iaculis quis, sem. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Aliquam erat volutpat. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Etiam neque. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Nullam rhoncus aliquam metus. In dapibus augue non sapien. Phasellus faucibus molestie nisl. Duis risus. Duis viverra diam non justo. Donec ipsum massa, ullamcorper in, auctor et, scelerisque sed, est. Mauris dictum facilisis augue. Etiam posuere lacus quis dolor. Integer lacinia. Vestibulum fermentum tortor id mi. Phasellus rhoncus.</p>
            </div>
            <form class="container">
                <h1>Registrace</h1>
                <div class="mb-3">
                    <label for="name" class="form-label">Jméno</label>
                    <input type="text" class="form-control" id="name" />
                </div>
                <div class="mb-3">
                    <label for="name" class="form-label">Přijmení</label>
                    <input type="text" class="form-control" id="name" />
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label">Emailová adresa</label>
                    <input type="email" class="form-control" id="email" />
                </div>
                <div class="mb-3 form-check">
                    <input type="checkbox" class="form-check-input" id="souhlas" />
                    <label class="form-check-label" for="souhlas">Souhlas se zpracováním osobních údajů</label>
                </div>

                <button type="submit" class="btn btn-primary">Odeslat</button>
            </form>
        </div>;
    }
}

const root = createRoot(
    document.getElementById('root')
);
root.render(<Main />);